if not Watcher then return end

if select(2, UnitClass('player')) ~= "PRIEST" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Devouring Plague", 2944)
Watcher:addicon("Divine Star", 122128)
Watcher:addicon("Cascade", 127632)
Watcher:addicon("Halo", 120696)
Watcher:addicon("Mind Blast", 8092)
Watcher:addicon("Mind Flay", 15407)
Watcher:addicon("Shadowfiend", 34433)
Watcher:addicon("Shadow Word: Death", 32379)
Watcher:addicon("Shadow Word: Pain", 589)
Watcher:addicon("Vampiric Touch", 34914)

-- talented spells and procs
Watcher:addicon("Mindbender", 123040)
Watcher:addicon("Power Infusion", 10060)
Watcher:addicon("Shadow Word: Insanity", 129249)

-- glyphs

function Watcher:addClassSpells()
Watcher:Debuff("Shadow Word: Pain")
Watcher:Debuff("Vampiric Touch")
Watcher:Direct("Cascade")
Watcher:Direct("Devouring Plague","Greater Than", 3, "Shadow Orbs (Priest)")
Watcher:Direct("Divine Star")
Watcher:Direct("Halo")
Watcher:Direct("Mindbender")
Watcher:Direct("Mind Blast")
Watcher:Direct("Mind Flay")
Watcher:Direct("Power Infusion")
Watcher:Direct("Shadowfiend")
Watcher:Direct("Shadow Word: Insanity")
Watcher:HealthThreshold(20, false, "Shadow Word: Death")

end