if not Watcher then return end

if select(2, UnitClass('player')) ~= "ROGUE" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _
    
-- generic spells
Watcher:addicon("Adrenaline Rush", 13750)
Watcher:addicon("Backstab", 53)
Watcher:addicon("Envenom", 32645)
Watcher:addicon("Hemorrhage", 16511)
Watcher:addicon("Eviscerate", 2098)
Watcher:addicon("Dispatch", 111240)
Watcher:addicon("Killing Spree", 51690)
Watcher:addicon("Mutilate", 1329)
Watcher:addicon("Shadow Dance", 51713)
Watcher:addicon("Revealing Strike", 84617)
Watcher:addicon("Rupture", 1943)
Watcher:addicon("Sinister Strike", 1752)
Watcher:addicon("Slice And Dice", 5171)
Watcher:addicon("Tricks of the Trade", 57934)
Watcher:addicon("Vanish", 1856)
Watcher:addicon("Vendetta", 1856)

-- talented spells and procs
Watcher:addicon("Blindside", 121153)
Watcher:addicon("Preparation", 14185)

-- glyphs

function Watcher:addClassSpells()
Watcher:Buff("Slice And Dice", "Slice And Dice", true)
Watcher:Debuff("Hemorrhage")
Watcher:Debuff("Revealing Strike")
Watcher:Debuff("Rupture")
Watcher:Direct("Adrenaline Rush")
Watcher:Direct("Backstab")
Watcher:Direct("Killing Spree")
Watcher:Direct("Mutilate")
--Watcher:Direct("Envenom")
Watcher:Direct("Envenom","Greater Than", 4, "Combo Points")
Watcher:Direct("Eviscerate")
Watcher:Direct("Preparation")
Watcher:Direct("Sinister Strike")
Watcher:Direct("Tricks of the Trade")
Watcher:Direct("Vanish")
Watcher:Direct("Vendetta")
Watcher:HealthThreshold(35, false, "Dispatch")
Watcher:Proc("Blindside", "Dispatch")

end